Bug 806051

Summary: [PEM] various flaws detected by Coverity
Product: [Fedora] Fedora Reporter: Elio Maldonado Batiz <emaldona>
Component: nssAssignee: Elio Maldonado Batiz <emaldona>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: high    
Version: rawhideCC: amarecek, emaldona, jrieden, kdudka, kengert, mluscon, rrelyea
Target Milestone: ---Keywords: Patch
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: nss-3.13.4-2.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 717913 Environment:
Last Closed: 2012-04-18 19:41:46 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 717913    
Bug Blocks:    
Attachments:
Description Flags
Fix Coverity detected flaws kdudka: review+

Comment 1 Elio Maldonado Batiz 2012-03-29 03:21:19 UTC
Created attachment 573509 [details]
Fix Coverity detected flaws

Kamil's patch applied on RHEL.

Comment 2 Elio Maldonado Batiz 2012-03-29 03:24:07 UTC
Comment on attachment 573509 [details]
Fix Coverity detected flaws

Adding Bob as Kamil may be on vacation.

Comment 3 Kamil Dudka 2012-04-02 11:55:13 UTC
Comment on attachment 573509 [details]
Fix Coverity detected flaws

r+

Comment 4 Fedora Update System 2012-04-06 23:49:02 UTC
nss-util-3.13.4-1.fc17, nss-3.13.4-1.fc17, nss-softokn-3.13.4-1.fc17, nspr-4.9-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-4788/nss-3.13.4-1.fc17,nss-softokn-3.13.4-1.fc17,nss-util-3.13.4-1.fc17,nspr-4.9-2.fc17

Comment 5 Fedora Update System 2012-04-08 16:22:48 UTC
Package nss-util-3.13.4-1.fc17, nss-3.13.4-1.fc17, nss-softokn-3.13.4-1.fc17, nspr-4.9-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nss-util-3.13.4-1.fc17 nss-3.13.4-1.fc17 nss-softokn-3.13.4-1.fc17 nspr-4.9-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4788/nss-3.13.4-1.fc17,nss-softokn-3.13.4-1.fc17,nss-util-3.13.4-1.fc17,nspr-4.9-2.fc17
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-04-08 20:05:57 UTC
nss-3.13.4-2.fc16, nss-softokn-3.13.4-1.fc16, nspr-4.9-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2012-5086/nss-3.13.4-2.fc16,nss-softokn-3.13.4-1.fc16,nspr-4.9-2.fc16

Comment 7 Fedora Update System 2012-04-10 20:13:24 UTC
Package nss-softokn-3.13.4-1.fc17, nspr-4.9-2.fc17, nss-3.13.4-2.fc17, nss-util-3.13.4-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nss-softokn-3.13.4-1.fc17 nspr-4.9-2.fc17 nss-3.13.4-2.fc17 nss-util-3.13.4-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4788/nss-3.13.4-2.fc17,nss-softokn-3.13.4-1.fc17,nss-util-3.13.4-2.fc17,nspr-4.9-2.fc17
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2012-04-11 17:27:42 UTC
nss-3.13.4-2.fc15,nss-softokn-3.13.4-1.fc15,nspr-4.9-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/nss-3.13.4-2.fc15,nss-softokn-3.13.4-1.fc15,nspr-4.9-2.fc15

Comment 9 Fedora Update System 2012-04-18 19:41:46 UTC
nss-3.13.4-2.fc16, nss-softokn-3.13.4-1.fc16, nspr-4.9-2.fc16, nss-util-3.13.4-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2012-04-18 22:52:00 UTC
nspr-4.9-2.fc17, nss-softokn-3.13.4-2.fc17, nss-3.13.4-2.fc17, nss-util-3.13.4-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2012-04-27 06:01:17 UTC
nss-3.13.4-2.fc15, nss-softokn-3.13.4-1.fc15, nspr-4.9-2.fc15, nss-util-3.13.4-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.